Name:		flac123
Version:	2.1.1
Release:	%mkrel 3
Summary:	Command line program for playing FLAC audio files
License:	GPL-2.0-or-later
Group:		Sound/Editors and Converters
URL:		https://github.com/flac123/flac123
Source0:	https://github.com/flac123/flac123/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(ogg)

%description
%{name} is a command-line program for playing FLAC audio files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS ChangeLog NEWS README*
%license COPYING
%{_bindir}/flac123
%{_mandir}/man1/flac123.1*


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 2.1.1-3.mga10
+ Revision: 2257261
- rebuild for new flac 1.5.0

* Sat Jun 28 2025 umeabot <umeabot> 2.1.1-2.mga10
+ Revision: 2218701
- Mageia 10 Mass Rebuild

* Sun Sep 17 2023 daviddavid <daviddavid> 2.1.1-1.mga10
+ Revision: 1987425
- Update to 2.1.1 from new github upstream

* Sun Nov 20 2022 wally <wally> 0.0.12-8.mga9
+ Revision: 1909259
- rebuild for flac 1.4.2

* Tue Mar 22 2022 umeabot <umeabot> 0.0.12-7.mga9
+ Revision: 1819243
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.0.12-6.mga8
+ Revision: 1512311
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.12-5.mga7
+ Revision: 1297711
- Mageia 7 Mass Rebuild

* Fri Jan 29 2016 umeabot <umeabot> 0.0.12-4.mga6
+ Revision: 928889
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.12-3.mga5
+ Revision: 738847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.12-2.mga5
+ Revision: 679220
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 david-david <david-david> 0.0.12-1.mga5
+ Revision: 608962
- imported package flac123

